Skip to main content
GET
/
api
/
workspaces
/
{id}
/
jobs
/
{job_id}
Poll the status of an async app install job.
curl --request GET \
  --url https://api.rigbox.dev/api/workspaces/{id}/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "app_status": "<string>",
  "exit_code": 123,
  "stderr": "<string>",
  "stdout": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

job_id
string
required

Job ID

Response

200 - application/json

Job status

status
string
required

Job execution status: "running", "done", "failed", "cancelled", "unknown"

app_status
string | null

Final app status after finalization (only set once job completes)

exit_code
integer<int32> | null

Exit code (only populated when done)

stderr
string | null

Combined stderr (only populated when done)

stdout
string | null

Combined stdout (only populated when done)